C         BANNER PROGRAM.  PRINTS EACH LETTER ON ONE PAGE
C     BBBBBBBB     AAAAAAA    NNN    NNN   NNN    NNN   EEEEEEEE   RRRRRRRR
C     BBBBBBBBB   AAAAAAAAA   NNNN   NNN   NNNN   NNN   EEEEEEEE   RRRRRRRRR
C     BBB   BBB   AAA   AAA   NNNNN  NNN   NNNNN  NNN   EEE        RRR   RRR
C     BBBBBBBB    AAAAAAAAA   NNNNNN NNN   NNNNNN NNN   EEEEEE     RRRRRRRR
C     BBBBBBBB    AAAAAAAAA   NNN NNNNNN   NNN NNNNNN   EEEEEE     RRRRRRRR
C     BBB   BBB   AAA   AAA   NNN  NNNNN   NNN  NNNNN   EEE        RRR   RRR
C     BBBBBBBBB   AAA   AAA   NNN   NNNN   NNN   NNNN   EEEEEEEE   RRR   RRR
C     BBBBBBBB    AAA   AAA   NNN    NNN   NNN    NNN   EEEEEEEE   RRR   RRR
C
C
C
C     GREINERS GREAT BANNER PROGRAM.
C
C     VALID CHARACTER SET:  A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
C                           1 2 3 4 5 6 7 8 9 0 . , : ; ' " + - ?
C
C     NECESSARY DATA:  ONE CARD MAXIMUM 79 CHARACTERS.
C     TWO SUCCESSIVE BLANKS ENDS DATA STREAM.
C
C
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      INTEGER INPUT(80),
     *        BLANK/' '/,
     *        CHAR/'X'/
      INTEGER A/'A'/, B/'B'/, C/'C'/, D/'D'/, E/'E'/, F/'F'/, G/'G'/
      INTEGER H/'H'/,II/'I'/,JJ/'J'/, K/'K'/, L/'L'/,MM/'M'/, N/'N'/
      INTEGER O/'O'/, P/'P'/, Q/'Q'/, R/'R'/, S/'S'/, T/'T'/, U/'U'/
      INTEGER V/'V'/, W/'W'/, X/'X'/, Y/'Y'/, Z/'Z'/
      INTEGER A1/'1'/, A2/'2'/, A3/'3'/, A4/'4'/, A5/'5'/, A6/'6'/
      INTEGER A7/'7'/, A8/'8'/, A9/'9'/, A0/'0'/
      INTEGER APERIO/'.'/, ACOMMA/','/,  ACOLON/':'/
      INTEGER ASEMI /';'/, AQUOTE/''''/,ADOUBL/'"'/, AMINUS/'-'/
      INTEGER APLUS /'+'/, AQUERY/'?'/
      CHAR=255
      DO 1 I=1,120
      BLANX(I)=BLANK
    1 RALPH(I)=CHAR
      READ(5,2)(INPUT(I),I=1,80)
    2 FORMAT(80A1)
      PRINT 3, (INPUT(M),M=1,80)
    3 FORMAT(' INPUT CARD WAS: '/' ',80A1/'1')
      DO 4 J=1,79
      IF(INPUT(J).EQ.BLANK.AND.INPUT(J+1).EQ.BLANK) GO TO 5
    4 CONTINUE
    5 J=J-1
      DO 7 I=1,J
      PRINT 6
    6 FORMAT('1')
      IF(INPUT(I).EQ.BLANK) GO TO 7
      IF(INPUT(I).EQ.A) CALL AAA
      IF(INPUT(I).EQ.B) CALL BBB
      IF(INPUT(I).EQ.C) CALL CCC
      IF(INPUT(I).EQ.D) CALL DDD
      IF(INPUT(I).EQ.E) CALL EEE
      IF(INPUT(I).EQ.F) CALL FFF
      IF(INPUT(I).EQ.G) CALL GGG
      IF(INPUT(I).EQ.H) CALL HHH
      IF(INPUT(I).EQ.II)CALL III
      IF(INPUT(I).EQ.JJ)CALL JJJ
      IF(INPUT(I).EQ.K) CALL KKK
      IF(INPUT(I).EQ.L) CALL LLL
      IF(INPUT(I).EQ.MM)CALL MMM
      IF(INPUT(I).EQ.N) CALL NNN
      IF(INPUT(I).EQ.O) CALL OOO
      IF(INPUT(I).EQ.P) CALL PPP
      IF(INPUT(I).EQ.Q) CALL QQQ
      IF(INPUT(I).EQ.R) CALL RRR
      IF(INPUT(I).EQ.S) CALL SSS
      IF(INPUT(I).EQ.T) CALL TTT
      IF(INPUT(I).EQ.U) CALL UUU
      IF(INPUT(I).EQ.V) CALL VVV
      IF(INPUT(I).EQ.W) CALL WWW
      IF(INPUT(I).EQ.X) CALL XXX
      IF(INPUT(I).EQ.Y) CALL YYY
      IF(INPUT(I).EQ.Z) CALL ZZZ
      IF(INPUT(I).EQ.A1) CALL S1
      IF(INPUT(I).EQ.A2) CALL S2
      IF(INPUT(I).EQ.A3) CALL S3
      IF(INPUT(I).EQ.A4) CALL S4
      IF(INPUT(I).EQ.A5) CALL S5
      IF(INPUT(I).EQ.A6) CALL S6
      IF(INPUT(I).EQ.A7) CALL S7
      IF(INPUT(I).EQ.A8) CALL S8
      IF(INPUT(I).EQ.A9) CALL S9
      IF(INPUT(I).EQ.A0) CALL OOO
      IF(INPUT(I).EQ.APERIO) CALL PERIOD
      IF(INPUT(I).EQ.ACOMMA) CALL COMMA
      IF(INPUT(I).EQ.ACOLON) CALL COLON
      IF(INPUT(I).EQ.ASEMI) CALL SEMI
      IF(INPUT(I).EQ.AQUOTE) CALL QUOTE
      IF(INPUT(I).EQ.ADOUBL) CALL DOUBLE
      IF(INPUT(I).EQ.AMINUS) CALL MINUS
      IF(INPUT(I).EQ.APLUS) CALL PLUS
      IF(INPUT(I).EQ.AQUERY) CALL QUERY
    7 CONTINUE
      STOP
      END
      SUBROUTINE AAA
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      L=120-(21-I)
    1 PRINT 2, (RALPH(M),M=1,L)
    2 FORMAT(120A1)
      CALL SUB8
      DO 3 I=1,20
      K=121-I
    3 PRINT 2, (RALPH(M),M=1,K)
      RETURN
      END
      SUBROUTINE BBB
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB9
      CALL SUB12
      RETURN
      END
      SUBROUTINE CCC
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB1
      CALL SUB10
      CALL SUB10
      RETURN
      END
      SUBROUTINE DDD
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB10
      CALL SUB7
      RETURN
      END
      SUBROUTINE EEE
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB9
      CALL SUB10
      RETURN
      END
      SUBROUTINE FFF
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB8
      CALL SUB17
      RETURN
      END
      SUBROUTINE GGG
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB1
      CALL SUB10
      PRINT 2, (RALPH(M),M=1,96)
      DO 1 I=1,19
      K=72-I
      L=24-I
    1 PRINT 2, (BLANX(M),M=1,I), (RALPH(M),M=1,K), (RALPH(M),M=1,L)
    2 FORMAT(72A1,24X,24A1)
      RETURN
      END
      SUBROUTINE HHH
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB11
      CALL SUB4
      RETURN
      END
      SUBROUTINE III
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB10
      CALL SUB4
      CALL SUB10
      RETURN
      END
      SUBROUTINE JJJ
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=20-I
      L=I+3
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(24A1)
      CALL SUB14
      CALL SUB5
      RETURN
      END
      SUBROUTINE KKK
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      DO 1 I=1,20
      K=60-I*2
      L=4*I
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(120A1)
      DO 3 I=1,20
      K=20-I*2
      L=4*I
      J=40
      IF(L.GE.40)J=39-(I-10)*2
      IF(K.LT.1)K=1
    3 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,J),
     *          (BLANX(M),M=1,L),(RALPH(M),M=1,J)
      RETURN
      END
      SUBROUTINE LLL
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB14
      CALL SUB14
      RETURN
      END
      SUBROUTINE MMM
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      DO 1 I=1,10
      K=90-5*I
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,30)
    2 FORMAT(120A1)
      DO 3 I=1,10
      K=35+5*I
    3 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,30)
      CALL SUB4
      RETURN
      END
      SUBROUTINE NNN
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      PRINT 2, (BLANX(M),M=1,80),(RALPH(M),M=1,40)
      DO 1 I=1,19
      K=80-I*4
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,40)
    2 FORMAT(120A1)
      CALL SUB4
      RETURN
      END
      SUBROUTINE OOO
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB1
      CALL SUB10
      CALL SUB7
      RETURN
      END
      SUBROUTINE PPP
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB8
      CALL SUB15
      RETURN
      END
      SUBROUTINE QQQ
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB1
      DO 1 I=1,10
    1 PRINT 2, (RALPH(M),M=1,48)
    2 FORMAT(24A1,72X,24A1)
      DO 3 I=1,6
    3 PRINT 4, (RALPH(M),M=1,72)
    4 FORMAT(48A1,48X,24A1)
      DO 5 I=1,4
    5 PRINT 2, (RALPH(M),M=1,48)
      PRINT 7, (RALPH(M),M=1,120)
      DO 6 I=1,9
      L=120-2*I
    6 PRINT 7, (BLANX(M),M=1,I),(RALPH(M),M=1,L)
    7 FORMAT(120A1)
      DO 8 I=10,15
      L=120-I
    8 PRINT 7, (RALPH(M),M=1,L)
      DO 9 I=16,19
      L=120-2*I
    9 PRINT 7, (BLANX(M),M=1,I),(RALPH(M),M=1,L)
      RETURN
      END
      SUBROUTINE RRR
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB4
      CALL SUB8
      DO 1 I=1,20
      J=48-I
      L=72-I*2
      K=I*2
    1 PRINT 2, (RALPH(M),M=1,J),(BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SSS
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB2
      CALL SUB9
      CALL SUB13
      RETURN
      END
      SUBROUTINE TTT
      COMMON RALPH(120), BLANX(120)
      CALL SUB17
      CALL SUB4
      CALL SUB17
      RETURN
      END
      SUBROUTINE UUU
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB3
      CALL SUB14
      CALL SUB5
      RETURN
      END
      SUBROUTINE VVV
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,30
      J=50
      K=90-I*3
      IF(K+J.GT.120)J=120-K
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,J)
    2 FORMAT(120A1)
      DO 3 I=1,30
      J=50
      K=I*3
      IF(K+J.GT.120) J=120-K
    3 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,J)
      RETURN
      END
      SUBROUTINE WWW
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 3 N=1,2
      DO 1 I=1,15
      L=60
      K=96-I*6
      IF(K+L.GT.120) L=120-K
    1 PRINT 4, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
      DO 2 I=1,15
      L=60
      K=I*6-6
      IF(K+L.GT.120) L=120-K
    2 PRINT 4, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    3 CONTINUE
    4 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE XXX
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,60
      K=100-I*2
      J=120-K
      IF(J.GE.40)J=40
      L=I*2-20
      IF(L+J.GE.120) J=120-L
      PRINT 2, (BLANX(M),M=1,L),(RALPH(M),M=1,J)
    1 PRINT 3, (BLANX(M),M=1,K),(RALPH(M),M=1,J)
    2 FORMAT(' ',120A1)
    3 FORMAT('+',120A1)
      RETURN
      END
      SUBROUTINE YYY
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=80-I*2
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,40)
    2 FORMAT(120A1)
      DO 3 I=1,10
      K=80-I*2
    3 PRINT 2, (RALPH(M),M=1,K)
      DO 4 I=1,10
      K=57+I*2
    4 PRINT 2, (RALPH(M),M=1,K)
      DO 5 I=1,20
      K=36+I*2
    5 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,40)
      RETURN
      END
      SUBROUTINE ZZZ
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,30
      K=I*2-1
      L=60-K
    1 PRINT 2, (RALPH(M),M=1,30),(RALPH(M),M=1,K),
     *          (BLANX(M),M=1,L),(RALPH(M),M=1,30)
    2 FORMAT(120A1)
      DO 3 I=1,30
      K=I*2
      L=90-K
    3 PRINT 2, (RALPH(M),M=1,30),(BLANX(M),M=1,K),(RALPH(M),M=1,L)
      RETURN
      END
      SUBROUTINE SUB1
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=21-I
      L=120-K*2
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SUB2
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      J=I+3
      K=24-J
      L=30+2*I
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,J),
     *          (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(24A1,24X,72A1)
      RETURN
      END
      SUBROUTINE SUB3
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=21-I
      L=120-K
    1 PRINT 2, (BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SUB4
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,120)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SUB5
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      L=120-I
    1 PRINT 2, (BLANX(M),M=1,I),(RALPH(M),M=1,L)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SUB6
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,10
    1 PRINT 2
    2 FORMAT('0')
      RETURN
      END
      SUBROUTINE SUB7
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      PRINT 2, (RALPH(M),M=1,120)
      DO 1 I=1,19
      K=120-2*I
    1 PRINT 2, (BLANX(M),M=1,I),(RALPH(M),M=1,K)
    2 FORMAT(120A1)
      RETURN
      END
      SUBROUTINE SUB8
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,48)
    2 FORMAT(48X,24A1,24X,24A1)
      RETURN
      END
      SUBROUTINE SUB9
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,72)
    2 FORMAT(24A1,24X,24A1,24X,24A1)
      RETURN
      END
      SUBROUTINE SUB10
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,48)
    2 FORMAT(24A1,72X,24A1)
      RETURN
      END
      SUBROUTINE SUB11
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,24)
    2 FORMAT(48X,24A1)
      RETURN
      END
      SUBROUTINE SUB12
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      PRINT 2, (RALPH(M),M=1,72)
      PRINT 3, (RALPH(M),M=1,72)
      DO 1 I=1,19
      K=72-I*2
      PRINT 2, (BLANX(M),M=1,I),(RALPH(M),M=1,K)
    1 PRINT 3, (BLANX(M),M=1,I),(RALPH(M),M=1,K)
    2 FORMAT(48X,72A1)
    3 FORMAT('+',72A1)
      RETURN
      END
      SUBROUTINE SUB13
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=72-I*2
      L=24-I
    1 PRINT 2, (BLANX(M),M=1,I),(RALPH(M),M=1,K),
     *          (BLANX(M),M=1,I),(RALPH(M),M=1,L)
    2 FORMAT(72A1,24X,24A1)
      RETURN
      END
      SUBROUTINE SUB14
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,24)
    2 FORMAT(24A1)
      RETURN
      END
      SUBROUTINE SUB15
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      PRINT 2, (RALPH(M),M=1,72)
      DO 1 I=1,19
      K=72-I*2
    1 PRINT 2, (BLANX(M),M=1,I),(RALPH(M),M=1,K)
    2 FORMAT(48X,72A1)
      RETURN
      END
      SUBROUTINE SUB17
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2, (RALPH(M),M=1,24)
    2 FORMAT(96X,24A1)
      RETURN
      END
      SUBROUTINE S1
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      J=I+27
    1 PRINT 2,(RALPH(M),M=1,J)
    2 FORMAT(24A1,72X,24A1)
      CALL SUB4
      CALL SUB14
      RETURN
      END
      SUBROUTINE S2
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=I+51
      L=72-K
      J=I+3
    1 PRINT 2,(RALPH(M),M=1,K),(BLANX(M),M=1,L),(RALPH(M),M=1,J)
    2 FORMAT(72A1,24X,24A1)
      CALL SUB9
      DO 3 I=1,20
      K=72-I*2
    3 PRINT 4,(RALPH(M),M=1,24),(BLANX(M),M=1,I),(RALPH(M),M=1,K)
    4 FORMAT(24A1,24X,72A1)
      RETURN
      END
      SUBROUTINE S3
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=21-I
      L=6+I*2
    1 PRINT 2,(BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT(24A1,72X,24A1)
      CALL SUB9
      CALL SUB12
      RETURN
      END
      SUBROUTINE S4
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
    1 PRINT 2,(RALPH(M),M=1,48)
    2 FORMAT(48X,48A1)
      CALL SUB11
      CALL SUB4
      RETURN
      END
      SUBROUTINE S5
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      J=21-I
      K=I+3
      L=I+51
    1 PRINT 2,(BLANX(M),M=1,J),(RALPH(M),M=1,K),
     *        (BLANX(M),M=1,J),(RALPH(M),M=1,L)
    2 FORMAT(24A1,24X,72A1)
      CALL SUB9
      DO 3 I=1,20
      K=72-I*2
    3 PRINT 4,(BLANX(M),M=1,I),(RALPH(M),M=1,K),
     *        (BLANX(M),M=1,I),(RALPH(M),M=1,24)
    4 FORMAT(72A1,24X,24A1)
      RETURN
      END
      SUBROUTINE S6
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB1
      CALL SUB9
      CALL SUB13
      RETURN
      END
      SUBROUTINE S7
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB17
      CALL SUB17
      CALL SUB4
      RETURN
      END
      SUBROUTINE S8
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=21-I
      L=72-K*2
      PRINT 2,(BLANX(M),M=1,K),(RALPH(M),M=1,L)
    1 PRINT 3,(BLANX(M),M=1,K),(RALPH(M),M=1,L)
    2 FORMAT('+',72A1)
    3 FORMAT(48X,72A1)
      CALL SUB9
      CALL SUB12
      RETURN
      END
      SUBROUTINE S9
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB2
      CALL SUB9
      CALL SUB7
      RETURN
      END
      SUBROUTINE PERIOD
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,20
    1 PRINT 2,(RALPH(M),M=1,24)
    2 FORMAT(24A1)
      RETURN
      END
      SUBROUTINE COMMA
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,10
    1 PRINT 2,(RALPH(M),M=1,10)
    2 FORMAT(10X,10A1)
      DO 3 I=1,10
      K=20-I
    3 PRINT 4,(BLANX(M),M=1,I),(RALPH(M),M=1,K)
    4 FORMAT(20A1)
      RETURN
      END
      SUBROUTINE COLON
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,20
    1 PRINT 2,(RALPH(M),M=1,48)
    2 FORMAT(24X,24A1,24X,24A1)
      RETURN
      END
      SUBROUTINE SEMI
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,20
      K=48-I
    1 PRINT 2,(BLANX(M),M=1,I),(RALPH(M),M=1,K)
    2 FORMAT(24X,24A1,24X,24A1)
      RETURN
      END
      SUBROUTINE QUOTE
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,10
    1 PRINT 2,(RALPH(M),M=1,24)
    2 FORMAT(96X,24A1)
      RETURN
      END
      SUBROUTINE DOUBLE
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB6
      DO 1 I=1,10
    1 PRINT 2,(RALPH(M),M=1,24)
    2 FORMAT(96X,24A1)
      DO 3 I=1,5
    3 PRINT 4
    4 FORMAT(' ')
      DO 5 I=1,10
    5 PRINT 2,(RALPH(M),M=1,24)
      RETURN
      END
      SUBROUTINE MINUS
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,3
    1 CALL SUB11
      RETURN
      END
      SUBROUTINE PLUS
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      CALL SUB11
      CALL SUB4
      CALL SUB11
      RETURN
      END
      SUBROUTINE QUERY
      COMMON RALPH(120), BLANX(120)
      INTEGER RALPH, BLANX
      DO 1 I=1,20
      K=I+4
C     PRINT 2,(RALPH(M),M=1,K)
    1 PRINT 2,(RALPH(M),M=1,K)
    2 FORMAT(96X,24A1)
      CALL SUB9
      CALL SUB15
      RETURN
      END
